Package org.springframework.security.authentication

# Class AccountStatusException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.AccountStatusException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccountExpiredException`, `CredentialsExpiredException`, `DisabledException`, `LockedException`

public abstract class AccountStatusException extends AuthenticationException
Base class for authentication exceptions which are caused by a particular user account status (locked, disabled etc).

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccountStatusException(String msg)`
`AccountStatusException(String msg, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccountStatusException

public AccountStatusException(String msg)

### AccountStatusException

public AccountStatusException(String msg, Throwable cause)